summaryrefslogtreecommitdiffstats
path: root/src/etc/cat-and-grep.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 12:11:28 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 12:11:28 +0000
commit94a0819fe3a0d679c3042a77bfe6a2afc505daea (patch)
tree2b827afe6a05f3538db3f7803a88c4587fe85648 /src/etc/cat-and-grep.sh
parentAdding upstream version 1.64.0+dfsg1. (diff)
downloadrustc-94a0819fe3a0d679c3042a77bfe6a2afc505daea.tar.xz
rustc-94a0819fe3a0d679c3042a77bfe6a2afc505daea.zip
Adding upstream version 1.66.0+dfsg1.upstream/1.66.0+dfsg1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/etc/cat-and-grep.sh')
-rwxr-xr-xsrc/etc/cat-and-grep.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/src/etc/cat-and-grep.sh b/src/etc/cat-and-grep.sh
index 77dc52a93..238f7f5b6 100755
--- a/src/etc/cat-and-grep.sh
+++ b/src/etc/cat-and-grep.sh
@@ -26,7 +26,7 @@ Options:
-i Case insensitive search.
'
-GREPPER=fgrep
+GREPPER=grep
INVERT=0
GREPFLAGS='q'
while getopts ':vieh' OPTION; do
@@ -39,7 +39,7 @@ while getopts ':vieh' OPTION; do
GREPFLAGS="i$GREPFLAGS"
;;
e)
- GREPPER=egrep
+ GREPFLAGS="E$GREPFLAGS"
;;
h)
echo "$USAGE"
@@ -51,6 +51,12 @@ while getopts ':vieh' OPTION; do
esac
done
+if ! echo "$GREPFLAGS" | grep -q E
+then
+ # use F flag if there is not an E flag
+ GREPFLAGS="F$GREPFLAGS"
+fi
+
shift $((OPTIND - 1))
# use gnu version of tool if available (for bsd)